Delen via


Accounts - Regenerate Keys

Genereer de primaire of secundaire sleutel opnieuw voor gebruik met de Maps-API's. De oude sleutel werkt niet meer onmiddellijk.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Maps/accounts/{accountName}/regenerateKey?api-version=2023-06-01

URI-parameters

Name In Vereist Type Description
accountName
path True

string

De naam van het Kaarten-account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is niet hoofdlettergevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Vereist Type Description
keyType True

KeyType

Of de bewerking verwijst naar de primaire of secundaire sleutel.

Antwoorden

Name Type Description
200 OK

MapsAccountKeys

De aanvraag is geslaagd.

Other Status Codes

ErrorResponse

Er is een onverwachte fout opgetreden.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Regenerate Key

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/21a9967a-e8a9-4656-a70b-96ff1c4d05a0/resourceGroups/myResourceGroup/providers/Microsoft.Maps/accounts/myMapsAccount/regenerateKey?api-version=2023-06-01

{
  "keyType": "primary"
}

Voorbeeldrespons

{
  "primaryKey": "<primaryKey>",
  "primaryKeyLastUpdated": "2021-07-02T01:01:01.1075056Z",
  "secondaryKey": "<secondaryKey>",
  "secondaryKeyLastUpdated": "2021-07-02T01:01:01.1075056Z"
}

Definities

Name Description
ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

KeyType

Of de bewerking verwijst naar de primaire of secundaire sleutel.

MapsAccountKeys

De set sleutels die kunnen worden gebruikt voor toegang tot de REST API's van Maps. Er zijn twee sleutels beschikbaar voor sleutelrotatie zonder onderbreking.

MapsKeySpecification

Of de bewerking verwijst naar de primaire of secundaire sleutel.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

KeyType

Of de bewerking verwijst naar de primaire of secundaire sleutel.

Waarde Description
primary
secondary

MapsAccountKeys

De set sleutels die kunnen worden gebruikt voor toegang tot de REST API's van Maps. Er zijn twee sleutels beschikbaar voor sleutelrotatie zonder onderbreking.

Name Type Description
primaryKey

string

De primaire sleutel voor toegang tot de REST API's van Maps.

primaryKeyLastUpdated

string

De laatst bijgewerkte datum en tijd van de primaire sleutel.

secondaryKey

string

De secundaire sleutel voor toegang tot de REST API's van Maps.

secondaryKeyLastUpdated

string

De laatst bijgewerkte datum en tijd van de secundaire sleutel.

MapsKeySpecification

Of de bewerking verwijst naar de primaire of secundaire sleutel.

Name Type Description
keyType

KeyType

Of de bewerking verwijst naar de primaire of secundaire sleutel.